Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider.test
Class CertTest

    java.lang.Object
      org.bouncycastle.util.test.SimpleTest
          org.bouncycastle.jce.provider.test.CertTest

All Implemented Interfaces:
  Test

    public class CertTest

extends SimpleTest

Constructor Summary
`CertTest()`

Method Summary
`void` `checkCertificate(int id, byte[] bytes)`
`void` `checkCreation1()` we generate a self signed certificate for the sake of testing - RSA
`void` `checkCreation2()` we generate a self signed certificate for the sake of testing - DSA
`void` `checkCreation3()` we generate a self signed certificate for the sake of testing - ECDSA
`void` `checkCreation4()` we generate a self signed certificate for the sake of testing - GOST3410
`void` `checkCreation5()`
`void` `checkCRLCreation1()`
`void` `checkCRLCreation2()`
`void` `checkCRLCreation3()`
`void` `checkKeyUsage(int id, byte[] bytes)`
`void` `checkNameCertificate(int id, byte[] bytes)`
`void` `checkSelfSignedCertificate(int id, byte[] bytes)`
`java.lang.String` `getName()`
`static void` `main(java.lang.String[] args)`
`void` `performTest()`

Methods inherited from class org.bouncycastle.util.test.SimpleTest
`areEqual, fail, fail, fail, perform, runTest, runTest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertTest

    public CertTest()

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Test`
  Specified by:
    `getName` in class `SimpleTest`

### checkCertificate

    public void checkCertificate(int id,
                                 byte[] bytes)

### checkNameCertificate

    public void checkNameCertificate(int id,
                                     byte[] bytes)

### checkKeyUsage

    public void checkKeyUsage(int id,
                              byte[] bytes)

### checkSelfSignedCertificate

    public void checkSelfSignedCertificate(int id,
                                           byte[] bytes)

### checkCreation1

    public void checkCreation1()
                        throws java.lang.Exception

  we generate a self signed certificate for the sake of testing - RSA

  Throws:
    `java.lang.Exception`

### checkCreation2

    public void checkCreation2()

  we generate a self signed certificate for the sake of testing - DSA

### checkCreation3

    public void checkCreation3()

  we generate a self signed certificate for the sake of testing - ECDSA

### checkCRLCreation1

    public void checkCRLCreation1()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### checkCRLCreation2

    public void checkCRLCreation2()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### checkCRLCreation3

    public void checkCRLCreation3()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### checkCreation4

    public void checkCreation4()
                        throws java.lang.Exception

  we generate a self signed certificate for the sake of testing - GOST3410

  Throws:
    `java.lang.Exception`

### checkCreation5

    public void checkCreation5()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### performTest

    public void performTest()
                     throws java.lang.Exception

  Specified by:
    `performTest` in class `SimpleTest`
  Throws:
    `java.lang.Exception`

### main

    public static void main(java.lang.String[] args)

Bouncy Castle Cryptography Library 1.45